<CsoundSynthesizer>

   <CsVersion>
      5.12
   </CsVersion>

   <CsLicence>
      © Yannick & Douda — 2011.
   </CsLicence>

   <CsOptions>

      --format=wav
      --format=float
      --expression-opt
      --m-amps=1
      --m-range=1
      --m-warnings=1
      --m-dB=1
      --m-colours=1
      --m-benchmarks=0
      --midi-key=4
      --midi-velocity=5
      --terminate-on-midi

      -+id_artist=Yannick et Douda
      -+id_copyright=string=(c) Yannick et Douda — 2011
      -+id_title=Missing Title

      ;--midifile=test.mid
      -+rtmidi=portmidi
      --midi-device=a
      --output=dac

   </CsOptions>

   <CsInstruments>

      ; ----------------------------------------------------------------------
      ; Processing setup
      ; ================

      0dbfs  =     1 ; 
      sr     = 44100 ; Samples per seconds
      kr     =    20 ; Control cycles per seconds
      ksmps  =  2205 ; sr/kr
      nchnls =     2 ; Number of output channels

      gisoundfontplayer fluidEngine
      issoundfont fluidLoad "Claudio_Piano.sf2", gisoundfontplayer, 1
      fluidProgramSelect gisoundfontplayer, 1, issoundfont, 0, 0
      fluidProgramSelect gisoundfontplayer, 2, issoundfont, 0, 1

      ; ----------------------------------------------------------------------
      ; Default instruments
      ; ===================

      ; ----------------------------------------------------------------------
      ; Instrument 1
      ; ------------
      ; In: p1=instrument, p2=time, p3=duration, p4=key, p5=velocity
      ; Out: left, right

      instr 1

      label: 
         ikey = p4
         ivelocity = p5
         ipitch = cpsmidinn (ikey)

         kaftertouch init 0
         midichannelaftertouch kaftertouch

         asignal lfo 0.5, ipitch, 0 ; db, hz, #
         asignal = asignal
         outs asignal, asignal

      endin ; 1

      ; ----------------------------------------------------------------------
      ; Instrument 2
      ; ------------
      ; In: p1=instrument, p2=time, p3=duration, p4=key, p5=velocity
      ; Out: left, right

      instr 2

         ikey = p4
         ivelocity = p5

         kaftertouch init 0
         midichannelaftertouch kaftertouch

         fluidNote gisoundfontplayer, 1, ikey, ivelocity
         aleft, aright fluidOut gisoundfontplayer 
         outs aleft, aright

      endin ; 2

      ; ----------------------------------------------------------------------
      ; Instrument 3
      ; ------------
      ; In: p1=instrument, p2=time, p3=duration, p4=key, p5=velocity
      ; Out: left, right

      instr 3

         ikey = p4
         ivelocity = p5

         fluidNote gisoundfontplayer, 2, ikey, ivelocity 
         aleft, aright fluidOut gisoundfontplayer 
         outs aleft, aright

      endin ; 3

   </CsInstruments>
   
   <CsScore>
      e 3600

      i 1 + 2 440
      
      ;i 2 0 2 40 127
      ;i 2 + 2 60 127
      ;i 2 + 2 80 127

      ;i 3 0 2 40 127
      ;i 3 + 2 60 127
      ;i 3 + 2 80 127

      e
   </CsScore>

</CsoundSynthesizer>

